

<table mat-table [dataSource]="dataSource" matSort class="mat-elevation-z8">

    <!-- Clinic Column -->


    
    <ng-container matColumnDef="clinicName">
      
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Klinik Navn </th>
      <td mat-cell *matCellDef="let loadedClinics" class="cellText"> {{loadedClinics.clinicName}} </td>
    
    </ng-container>
     
    <!-- Name Column -->
    <ng-container matColumnDef="acuteNumber">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Akutnummer </th>
      <td mat-cell *matCellDef="let element" class="cellText"> {{element.acuteNumber}} </td>
    </ng-container>
  
    <!-- Weight Column -->
    <ng-container matColumnDef="phoneNumber">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Telefonnummer </th>
      <td mat-cell *matCellDef="let element" class="cellText"> {{element.phoneNumber}} </td>
    </ng-container>
  
    <!-- Symbol Column -->
    <ng-container matColumnDef="fax">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Fax </th>
      <td mat-cell *matCellDef="let element" class="cellText"> {{element.fax}} </td>
    </ng-container>
  
  
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

</table>

<div>
  <button mat-mini-fab color="primary" (click)="openAddForm()" class="displayFormBtn"><mat-icon>add</mat-icon></button>
</div>
<div>
  <!-- <button mat-mini-fab color="primary" (click)="deleteClinics()" class="deletebBtn"><mat-icon>delete</mat-icon></button> -->
</div>
<!-- <app-addclinic></app-addclinic> -->












    